| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
isf_dsa_ControlData_st Struct Reference

This defines the DSA adapter functional interface. More...

`#include <isf_dsa_adapter.h>`

Collaboration diagram for isf_dsa_ControlData_st:

## Data Fields
LWEVENT_STRUCT * | pEventGroup
uint32 | nEventFieldIndex
isf_dsa_SensorSettings_t | sensorSettings

## Detailed Description

This defines the DSA adapter functional interface.

Definition at line 92 of file isf_dsa_adapter.h.

## Field Documentation

uint32 nEventFieldIndex

The event flag of the event group to signal after depositing sensor sample in pSampleBuffer.

Definition at line 95 of file isf_dsa_adapter.h.

Referenced by fsl_fusion_virt_3D_orient_PeriodicCallback(), fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxls8471_i2cspi_3D_accel_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mma865x_i2c_3D_accel_PeriodicCallback(), fsl_mpl3115_i2c_1D_press_PeriodicCallback(), and init_sensor().

LWEVENT_STRUCT* pEventGroup

The event group to signal after depositing sensor sample in pDataBuff.

Definition at line 94 of file isf_dsa_adapter.h.

Referenced by fsl_fusion_virt_3D_orient_PeriodicCallback(), fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxls8471_i2cspi_3D_accel_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mma865x_i2c_3D_accel_PeriodicCallback(), fsl_mpl3115_i2c_1D_press_PeriodicCallback(), and init_sensor().

isf_dsa_SensorSettings_t sensorSettings

The configuration parameters from the user including the fifo to use

Definition at line 96 of file isf_dsa_adapter.h.

Referenced by configure_sensor(), fsl_fusion_virt_3D_orient_PeriodicCallback(), fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxls8471_i2cspi_3D_accel_Configure(), fsl_fxls8471_i2cspi_3D_accel_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_Configure(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_mag3110_i2c_3D_mag_Configure(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mma865x_i2c_3D_accel_Configure(), fsl_mma865x_i2c_3D_accel_PeriodicCallback(), fsl_mpl3115_i2c_1D_press_Configure(), and fsl_mpl3115_i2c_1D_press_PeriodicCallback().

The documentation for this struct was generated from the following file:

- ISF/Core/Include/isf_dsa_adapter.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.